﻿
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {
        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),    

--Asset("SCRIPT", "scripts/prefabs/player_common.lua"),
	Asset( "ANIM", "anim/broccoli.zip" ),
	Asset( "ANIM", "anim/broccoliball.zip" ),

}
local prefabs = {}

-- Custom starting items
local start_inv = {
	"gemma"
}


local function BroccoliAura(inst)   
	--print('Broccoli FX')
    SpawnPrefab("auraringfx").entity:AddFollower():FollowSymbol(inst.GUID, "swap_body", 0, 0, 0)
    inst:DoTaskInTime(math.random(25, 30), BroccoliAura)
end




local common_postinit = function(inst) 
	-- Minimap icon
	inst.MiniMapEntity:SetIcon( "broccoli.tex" )
	--inst.transformed = false 
	--inst:AddComponent("keyhandler")
    --inst.components.keyhandler:AddActionListener("broccoli", TUNING.BROCCOLI.KEYFOUR, "BROCCOLIBALL")
end


local master_postinit = function(inst)
	-- choose which sounds this character will play
	inst.soundsname = "broccoli"
	
	-- Uncomment if "wathgrithr"(Wigfrid) or "webber" voice is used
    --inst.talker_path_override = "dontstarve_DLC001/characters/"
	common_postinit(inst)
	-- Stats	
	inst.components.health:SetMaxHealth(250)
	inst.components.hunger:SetMax(150)
	inst.components.sanity:SetMax(150)
	
	inst.Transform:SetScale(0.7, 0.7, 0.7)  
	
	--inst.components.locomotor.walkspeed = 6
	--inst.components.locomotor.runspeed = 8.5
		
	-- Hunger rate (optional)
	inst.components.hunger.hungerrate = 1 * TUNING.WILSON_HUNGER_RATE   
	
	inst:DoTaskInTime(math.random(25, 30), BroccoliAura)   
	
    

	inst:ListenForEvent("equip", function(inst, data)    
     --   print("I'm wearing something.")  
        inst.AnimState:ClearOverrideSymbol("swap_body") 
    end)
	
	--inst.OnLoad = onload
    --inst.OnNewSpawn = onload
end

return MakePlayerCharacter("broccoli", prefabs, assets, master_postinit, start_inv)
